Package org.firebirdsql.gds.ng.wire.crypt

## Enum EncryptionInitInfo.InitResult

- java.lang.Object
- - java.lang.Enum<EncryptionInitInfo.InitResult>
  - - org.firebirdsql.gds.ng.wire.crypt.EncryptionInitInfo.InitResult

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EncryptionInitInfo.InitResult>`
  Enclosing class:
    EncryptionInitInfo

      public static enum EncryptionInitInfo.InitResult
      extends java.lang.Enum<EncryptionInitInfo.InitResult>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FAILURE` |
    `SUCCESS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EncryptionInitInfo.InitResult` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EncryptionInitInfo.InitResult[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final EncryptionInitInfo.InitResult SUCCESS

    - #### FAILURE

          public static final EncryptionInitInfo.InitResult FAILURE

  - ### Method Detail

    - #### values

          public static EncryptionInitInfo.InitResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncryptionInitInfo.InitResult c : EncryptionInitInfo.InitResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncryptionInitInfo.InitResult valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null